<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: my_favourites_admin.php
| Author: Philp Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."my_favourites_panel/fav_inc.php";

if (!checkrights("MFP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
add_to_title($locale['global_200'].$locale['fv104']);
$entry_limit = "30";
$total_count = (dbcount("(ufav_id)", DB_UFAVES));

if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
		$rowstart = $_GET['rowstart'];
	    } else {
		$rowstart = 0; }

opentable($locale['fv104']);
$num = $rowstart+1;
    
    $result = dbquery("SELECT 
                              ufav_id, 
                              ufav_page, 
                              ufav_strength,  
                              COUNT(ufav_id) 
                              count, ufav_page page
                              FROM ".DB_UFAVES." 
                              GROUP BY ufav_page  
                              ORDER BY count 
                              DESC LIMIT $rowstart,$entry_limit
                              ");

	if (dbrows($result)) {
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n<tr>\n";
	echo "<th colspan='2'>".$locale['fv_07']."</th>\n";
	echo "<th>".$locale['fv101']."</th>\n";
	echo "<th>".$locale['fv102']."</th>\n";
	echo "<th>".$locale['fv103']."</th>\n";
	echo "<th>".$locale['fv105']."</th>\n";
	echo "</tr>\n";
	while ($data = dbarray($result)) {
	$page_count = (dbcount("(ufav_id)", DB_UFAVES, "ufav_page ='".$data['ufav_page']."'"));
	$page_high = (dbcount("(ufav_id)", DB_UFAVES, "ufav_page ='".$data['ufav_page']."' && ufav_strength ='3'"));
	$page_medium = (dbcount("(ufav_id)", DB_UFAVES, "ufav_page ='".$data['ufav_page']."' && ufav_strength ='2'"));
	$page_low = (dbcount("(ufav_id)", DB_UFAVES, "ufav_page ='".$data['ufav_page']."' && ufav_strength ='1'"));
	$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
	echo "<tr>\n<td class='$cell_color'>#".$num."</td>\n";
    echo "<td class='$cell_color'><a href='".$data['ufav_page']."'>".str_replace($settings['siteurl'], " ", $data['ufav_page'])."</a></td>\n";
    echo "<td class='$cell_color' align='center'>".$page_high."</td>\n";
    echo "<td class='$cell_color' align='center'>".$page_medium."</td>\n";
    echo "<td class='$cell_color' align='center'>".$page_low."</td>\n";
    echo "<td class='$cell_color' align='center'>(".$page_count.")</td>\n</tr>\n";
	$i++; $num++;
       } 
     echo "</table>\n";
     
    } else { 
   echo "<br /><center>".$locale['fv106']."</center><br />\n";
  }
closetable();
if ($total_count > $entry_limit) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$entry_limit,$total_count,3,FUSION_SELF.$aidlink."&amp;")."</div>"; }
//Do Not Remove ##
echo $fv_footer;
//################
require_once THEMES."templates/footer.php";
?>