<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fav_inc.php
| Author: Philp Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (!defined("MYFAVES")) {
define("MYFAVES", INFUSIONS."my_favourites_panel/");
}
if (file_exists(MYFAVES."locale/".$settings['locale'].".php")) {
	include MYFAVES."/locale/".$settings['locale'].".php";
} else {
	include MYFAVES."/locale/English.php";
}
if (!defined("DB_UFAVES")) {
	define("DB_UFAVES", DB_PREFIX."user_favourites");
}

// Maximum number of saves per user
$max_saves = "50";
//
if (iADMIN) { $max_saves = $max_saves*4; }
$img_favorite = "  <img src='".MYFAVES."images/favorite.png' border='0' width='10' alt='".$locale['fv_02']."' title='".$locale['fv_02']."' style='vertical-align:middle' />\n";
$img_unfavorite = "<img src='".MYFAVES."images/unfavorite.png' border='0' width='10'  alt='".$locale['fv_06']."' title='".$locale['fv_06']."' style='vertical-align:middle' />\n";
$img_faves = "     <img src='".MYFAVES."images/faves.png' border='0' width='32'  alt='".$locale['fv_03']."' title='".$locale['fv_03']."' style='vertical-align:middle' />\n";
if (file_exists(THEME."images/up.gif")) {
$img_up = "        <img src='".THEME."images/up.gif' border='0' width='16'  alt='".$locale['fv_21']."' title='".$locale['fv_21']."' style='vertical-align:middle' />\n";
} else {
$img_up = "        <img src='".MYFAVES."images/arrow_up.png' border='0' width='16'  alt='".$locale['fv_21']."' title='".$locale['fv_21']."' style='vertical-align:middle' />\n"; }
if (file_exists(THEME."images/down.gif")) {
$img_down = "      <img src='".THEME."images/down.gif' border='0' width='16'  alt='".$locale['fv_22']."' title='".$locale['fv_22']."' style='vertical-align:middle' />\n";
} else {
$img_down = "      <img src='".MYFAVES."images/arrow_down.png' border='0' width='16'  alt='".$locale['fv_22']."' title='".$locale['fv_22']."' style='vertical-align:middle' />\n"; }
$img_delete = "    <img src='".MYFAVES."images/delete.png' border='0' width='16'  alt='".$locale['fv_04']."' title='".$locale['fv_04']."' style='vertical-align:middle' />\n";
$img_heart = "     <img src='".MYFAVES."images/folder_heart.png' border='0' width='16'  alt='".$locale['fv_17']."' title='".$locale['fv_17']."' style='vertical-align:middle' />\n";
$img_hs = "        <img src='".INFUSIONS."my_favourites_panel/images/hs_lwr.gif' border='0' alt='hobbysites.net' style='vertical-align:middle' />";

$fv_ratings = array(3 => $locale['fv101'], 2 => $locale['fv102'], 1 => $locale['fv103']);

  if (!function_exists("fetch_url")) {
   function fetch_url() {
      $url = "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
      return $url;
   }
}
$url = "". fetch_url() . "";


// Do Not Edit/Alter #######################################################
$data_v = dbarray(dbquery("SELECT inf_title, inf_version FROM ".DB_INFUSIONS." WHERE inf_title='".$locale['fvtitle']."'"));	
$version = $data_v['inf_version'];
$time = time();
$fv_footer = "<br /><div class='tbl-border' align='center'>".$locale['fvtitle']." v".$version." by <a target='_blank' href='http://www.hobbysites.net/' title='HobbyMan'>HobbyMan</a><br />
<br />&copy hobbysites.net ".date("Y")."<br /><br /><a target='_blank' href='http://www.hobbysites.net/' title='HobbyMan'>".$img_hs."</a></div>\n";
//###########################################################################

add_to_footer("<script type='text/javascript'>
		/* <![CDATA[ */
		function DeleteFavourite() {return confirm('".$locale['fv110']."');}
		/* ]]>*/
		</script>
		");

?>