<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: my_favourites.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (!iMEMBER) { redirect("../../index.php"); }

include INFUSIONS."my_favourites_panel/fav_inc.php";
add_to_title($locale['global_200'].$locale['fv_12'].$settings['sitename'].$locale['fv_13']);
$mypage_count = (dbcount("(ufav_id)", DB_UFAVES, "ufav_user ='".$userdata['user_id']."'"));
if ($mypage_count >= '30') {
add_to_head("<script type='text/javascript' src='".MYFAVES."scroll.js'></script>"); }
//Delete
if ((isset($_GET['action']) && $_GET['action'] == "rem_fav") && (isset($_GET['ufav_id']) && isnum($_GET['ufav_id']))) {
  $get_favid = dbarray(dbquery("SELECT ufav_id FROM ".DB_UFAVES." WHERE ufav_id='".$_GET['ufav_id']."' AND ufav_user = '".$userdata['user_id']."'"));
	$result = dbquery("DELETE FROM ".DB_UFAVES." WHERE ufav_id='".$get_favid['ufav_id']."'");
		redirect(FUSION_SELF);
  }

//Up
if ((isset($_GET['action']) && $_GET['action'] == "upfav") && (isset($_GET['ufav_id']) && isnum($_GET['ufav_id']))) {
  $get_favid = dbarray(dbquery("SELECT ufav_strength FROM ".DB_UFAVES." WHERE ufav_id='".$_GET['ufav_id']."' AND ufav_user = '".$userdata['user_id']."'"));
	$update = dbquery("UPDATE ".DB_UFAVES." SET ufav_strength='".($get_favid['ufav_strength']+1)."' WHERE ufav_id='".$_GET['ufav_id']."'");
		redirect(FUSION_SELF);
  }
//Down
if ((isset($_GET['action']) && $_GET['action'] == "downfav") && (isset($_GET['ufav_id']) && isnum($_GET['ufav_id']))) {
  $get_favid = dbarray(dbquery("SELECT ufav_strength FROM ".DB_UFAVES." WHERE ufav_id='".$_GET['ufav_id']."' AND ufav_user = '".$userdata['user_id']."'"));
	$downdate = dbquery("UPDATE ".DB_UFAVES." SET ufav_strength='".($get_favid['ufav_strength']-1)."' WHERE ufav_id='".$_GET['ufav_id']."'");
		redirect(FUSION_SELF);
  }
$my_hi = (dbcount("(ufav_id)", DB_UFAVES, "ufav_user ='".$userdata['user_id']."' && ufav_strength ='3'"));
$my_md = (dbcount("(ufav_id)", DB_UFAVES, "ufav_user ='".$userdata['user_id']."' && ufav_strength ='2'"));
$my_lw = (dbcount("(ufav_id)", DB_UFAVES, "ufav_user ='".$userdata['user_id']."' && ufav_strength ='1'"));
opentable($locale['fv_03']);
 echo "<table class='tbl' border='0' width='100%'>\n<thead><tr>\n";
 echo "<td class='tbl1' rowspan='2' width='32'>".$img_faves."</td>\n";
 echo "<td class='tbl1' align='center'><h4>".$mypage_count.$locale['fv_13']." ".$locale['fv_09'].". ".sprintf($locale['fv107'], round($mypage_count*100/$max_saves,2)).$max_saves.$locale['fv_08'].".</h4>\n";
 if ($mypage_count == $max_saves) { echo "<br /><div class='tbl-error'>".$locale['fv_18']."</div>\n"; }
 echo "</td>\n";
 echo "</tr></thead><tbody><tr>\n";
 echo "<td class='tbl1' colspan='2' align='center'>".$locale['fv101']." (".$my_hi.") | ".$locale['fv102']." (".$my_md.") | ".$locale['fv103']." (".$my_lw.") | ($mypage_count/$max_saves)</td>\n";
 echo "</tbody></tr>\n</table>\n";
closetable();
echo "<div class='item' id='top'></div>\n";

// High Priority
opentable($locale['fv101']."<span style='float:right'>".$my_hi."</span>");
$num = 1;
   $result = dbquery("SELECT   
                             ufav_id, 
                             ufav_page, 
                             ufav_strength, 
                             ufav_title, 
                             ufav_datestamp 
                             FROM ".DB_UFAVES." 
                             WHERE ufav_user = ".$userdata['user_id']." 
                             AND ufav_strength = '3' 
                             ORDER BY ufav_datestamp 
                             DESC
                             ");

	if (dbrows($result)) {
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n<thead><tr>\n";
	echo "<th colspan='2' >".$locale['fv_07']."</th>\n";
	echo "<th>".$locale['fv_09']."</th>\n";
	echo "<th>".$img_heart."</th>\n";
	echo "<th>".$locale['fv_20']."</th>\n";
	echo "<th>".$locale['fv_04']."</th>\n";
	echo "</tr>\n</thead>\n";
	while ($data = dbarray($result)) {
	$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
	$other_count = (dbcount("(ufav_id)", DB_UFAVES, "ufav_page ='".$data['ufav_page']."' && ufav_user !='".$userdata['user_id']."'"));
	echo "<tbody><tr>\n<td width='1%' class='$cell_color'>#".$num."</td>\n";
    echo "<td class='$cell_color'><a href='".$data['ufav_page']."' title='".$data['ufav_page']."'>".($data['ufav_title'] != '' ? trimlink($data['ufav_title'],100) : str_replace($settings['siteurl'], " ", $data['ufav_page']))."</a></td>\n"; 
    echo "<td width='80' class='$cell_color' align='center'>".showdate("shortdate", $data['ufav_datestamp'])."</td>\n";
    echo "<td width='20' class='$cell_color' align='center'>".$other_count."</td>\n";
    echo "<td width='40' class='$cell_color' align='center'><a href='".FUSION_SELF."?ufav_id=".$data['ufav_id']."&amp;action=downfav'>".$img_down."</a></td>\n";
    echo "<td width='80' class='$cell_color' align='center'><a href='".FUSION_SELF."?ufav_id=".$data['ufav_id']."&amp;action=rem_fav' onclick='return DeleteFavourite();'>".$img_delete."</a></td>\n";
    echo "</tr>\n</tbody>\n";
	$i++; $num++;
       }
     echo "</table>\n";
     
    } else { 
   echo $locale['fv_05'];
  }
closetable();

// Medium Priority
opentable($locale['fv102']."<span style='float:right'>".$my_md."</span>");
$num = 1;
   $result = dbquery("SELECT   
                             ufav_id, 
                             ufav_page, 
                             ufav_strength, 
                             ufav_title, 
                             ufav_datestamp 
                             FROM ".DB_UFAVES." 
                             WHERE ufav_user = ".$userdata['user_id']." 
                             AND ufav_strength = '2' 
                             ORDER BY ufav_datestamp
                             DESC
                             ");

	if (dbrows($result)) {
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n<thead><tr>\n";
	echo "<th colspan='2' >".$locale['fv_07']."</th>\n";
	echo "<th>".$locale['fv_09']."</th>\n";
	echo "<th>".$img_heart."</th>\n";
	echo "<th>".$locale['fv_20']."</th>\n";
	echo "<th>".$locale['fv_04']."</th>\n";
	echo "</tr></thead>\n";
	while ($data = dbarray($result)) {
	$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
	$other_count = (dbcount("(ufav_id)", DB_UFAVES, "ufav_page ='".$data['ufav_page']."' && ufav_user !='".$userdata['user_id']."'"));
	echo "<tbody><tr>\n<td width='1%' class='$cell_color'>#".$num."</td>\n";
	echo "<td class='$cell_color'><a href='".$data['ufav_page']."' title='".$data['ufav_page']."'>".($data['ufav_title'] != '' ? trimlink($data['ufav_title'],100) : str_replace($settings['siteurl'], " ", $data['ufav_page']))."</a></td>\n"; 
    echo "<td width='80' class='$cell_color' align='center'>".showdate("shortdate", $data['ufav_datestamp'])."</td>\n";
    echo "<td width='20' class='$cell_color' align='center'>".$other_count."</td>\n";
    echo "<td width='40' class='$cell_color' align='center'><a href='".FUSION_SELF."?ufav_id=".$data['ufav_id']."&amp;action=upfav'>".$img_up."</a><a href='".FUSION_SELF."?ufav_id=".$data['ufav_id']."&amp;action=downfav'>".$img_down."</a></td>\n";
    echo "<td width='80' class='$cell_color' align='center'><a href='".FUSION_SELF."?ufav_id=".$data['ufav_id']."&amp;action=rem_fav' onclick='return DeleteFavourite();'>".$img_delete."</a></td>\n";
    echo "</tr></tbody>\n";
	$i++; $num++;
       }
     echo "</table>\n";
     
    } else { 
   echo $locale['fv_05'];
  }

closetable();

// Low Priority
opentable($locale['fv103']."<span style='float:right'>".$my_lw."</span>");
$num = 1;
   $result = dbquery("SELECT   
                             ufav_id, 
                             ufav_page, 
                             ufav_strength, 
                             ufav_title, 
                             ufav_datestamp 
                             FROM ".DB_UFAVES." 
                             WHERE ufav_user = ".$userdata['user_id']." 
                             AND ufav_strength = '1' 
                             ORDER BY ufav_datestamp 
                             DESC
                             ");

	if (dbrows($result)) {
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n<thead><tr>\n";
	echo "<th colspan='2' >".$locale['fv_07']."</th>\n";
	echo "<th>".$locale['fv_09']."</th>\n";
	echo "<th>".$img_heart."</th>\n";
	echo "<th>".$locale['fv_20']."</th>\n";
	echo "<th>".$locale['fv_04']."</th>\n";
	echo "</tr></thead>\n";
	while ($data = dbarray($result)) {
	$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
	$other_count = (dbcount("(ufav_id)", DB_UFAVES, "ufav_page ='".$data['ufav_page']."' && ufav_user !='".$userdata['user_id']."'"));
	echo "<tbody><tr>\n<td width='1%' class='$cell_color'>#".$num."</td>\n";
	echo "<td class='$cell_color'><a href='".$data['ufav_page']."' title='".$data['ufav_page']."'>".($data['ufav_title'] != '' ? trimlink($data['ufav_title'],100) : str_replace($settings['siteurl'], " ", $data['ufav_page']))."</a></td>\n";
    echo "<td width='80' class='$cell_color' align='center'>".showdate("shortdate", $data['ufav_datestamp'])."</td>\n";
    echo "<td width='20' class='$cell_color' align='center'>".$other_count."</td>\n";
    echo "<td width='40' class='$cell_color' align='center'><a href='".FUSION_SELF."?ufav_id=".$data['ufav_id']."&amp;action=upfav'>".$img_up."</a></td>\n";
    echo "<td width='80' class='$cell_color' align='center'><a href='".FUSION_SELF."?ufav_id=".$data['ufav_id']."&amp;action=rem_fav' onclick='return DeleteFavourite();'>".$img_delete."</a></td>\n";
    echo "</tr></tbody>\n";
	$i++; $num++;
       }
     echo "</table>\n";
     
    if ($mypage_count > '30') {
     echo "<div class='tbl2' align='center'>".$img_up."&nbsp;<a href='#top' class='current'>".$locale['fv_16']."</a>&nbsp;".$img_up."</div>\n";
     }
     
    } else { 
   echo $locale['fv_05'];
  }
closetable();	
require_once THEMES."templates/footer.php";
?>